com.amazonaws.services.machinelearning.model

## Class GetMLModelResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.machinelearning.model.GetMLModelResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class GetMLModelResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Represents the output of a `GetMLModel` operation, and provides detailed information about a `MLModel`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GetMLModelResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`GetMLModelResult` `addTrainingParametersEntry(String key, String value)`
`GetMLModelResult` `clearTrainingParametersEntries()` Removes all the entries added into TrainingParameters.
`GetMLModelResult` `clone()`
`boolean` `equals(Object obj)`
`Long` `getComputeTime()` The approximate CPU time in milliseconds that Amazon Machine Learning spent processing the `MLModel`, normalized and scaled on computation resources.
`Date` `getCreatedAt()` The time that the `MLModel` was created.
`String` `getCreatedByIamUser()` The AWS user account from which the `MLModel` was created.
`RealtimeEndpointInfo` `getEndpointInfo()` The current endpoint of the `MLModel`
`Date` `getFinishedAt()` The epoch time when Amazon Machine Learning marked the `MLModel` as `COMPLETED` or `FAILED`.
`String` `getInputDataLocationS3()` The location of the data file or directory in Amazon Simple Storage Service (Amazon S3).
`Date` `getLastUpdatedAt()` The time of the most recent edit to the `MLModel`.
`String` `getLogUri()` A link to the file that contains logs of the `CreateMLModel` operation.
`String` `getMessage()` A description of the most recent details about accessing the `MLModel`.
`String` `getMLModelId()` The MLModel ID, which is same as the `MLModelId` in the request.
`String` `getMLModelType()` Identifies the `MLModel` category.
`String` `getName()` A user-supplied name or description of the `MLModel`.
`String` `getRecipe()` The recipe to use when training the `MLModel`.
`String` `getSchema()` The schema used by all of the data files referenced by the `DataSource`.
`Float` `getScoreThreshold()` The scoring threshold is used in binary classification `MLModel` models.
`Date` `getScoreThresholdLastUpdatedAt()` The time of the most recent edit to the `ScoreThreshold`.
`Long` `getSizeInBytes()`
`Date` `getStartedAt()` The epoch time when Amazon Machine Learning marked the `MLModel` as `INPROGRESS`.
`String` `getStatus()` The current status of the `MLModel`.
`String` `getTrainingDataSourceId()` The ID of the training `DataSource`.
`Map<String,String>` `getTrainingParameters()` A list of the training parameters in the `MLModel`.
`int` `hashCode()`
`void` `setComputeTime(Long computeTime)` The approximate CPU time in milliseconds that Amazon Machine Learning spent processing the `MLModel`, normalized and scaled on computation resources.
`void` `setCreatedAt(Date createdAt)` The time that the `MLModel` was created.
`void` `setCreatedByIamUser(String createdByIamUser)` The AWS user account from which the `MLModel` was created.
`void` `setEndpointInfo(RealtimeEndpointInfo endpointInfo)` The current endpoint of the `MLModel`
`void` `setFinishedAt(Date finishedAt)` The epoch time when Amazon Machine Learning marked the `MLModel` as `COMPLETED` or `FAILED`.
`void` `setInputDataLocationS3(String inputDataLocationS3)` The location of the data file or directory in Amazon Simple Storage Service (Amazon S3).
`void` `setLastUpdatedAt(Date lastUpdatedAt)` The time of the most recent edit to the `MLModel`.
`void` `setLogUri(String logUri)` A link to the file that contains logs of the `CreateMLModel` operation.
`void` `setMessage(String message)` A description of the most recent details about accessing the `MLModel`.
`void` `setMLModelId(String mLModelId)` The MLModel ID, which is same as the `MLModelId` in the request.
`void` `setMLModelType(MLModelType mLModelType)` Identifies the `MLModel` category.
`void` `setMLModelType(String mLModelType)` Identifies the `MLModel` category.
`void` `setName(String name)` A user-supplied name or description of the `MLModel`.
`void` `setRecipe(String recipe)` The recipe to use when training the `MLModel`.
`void` `setSchema(String schema)` The schema used by all of the data files referenced by the `DataSource`.
`void` `setScoreThreshold(Float scoreThreshold)` The scoring threshold is used in binary classification `MLModel` models.
`void` `setScoreThresholdLastUpdatedAt(Date scoreThresholdLastUpdatedAt)` The time of the most recent edit to the `ScoreThreshold`.
`void` `setSizeInBytes(Long sizeInBytes)`
`void` `setStartedAt(Date startedAt)` The epoch time when Amazon Machine Learning marked the `MLModel` as `INPROGRESS`.
`void` `setStatus(EntityStatus status)` The current status of the `MLModel`.
`void` `setStatus(String status)` The current status of the `MLModel`.
`void` `setTrainingDataSourceId(String trainingDataSourceId)` The ID of the training `DataSource`.
`void` `setTrainingParameters(Map<String,String> trainingParameters)` A list of the training parameters in the `MLModel`.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`GetMLModelResult` `withComputeTime(Long computeTime)` The approximate CPU time in milliseconds that Amazon Machine Learning spent processing the `MLModel`, normalized and scaled on computation resources.
`GetMLModelResult` `withCreatedAt(Date createdAt)` The time that the `MLModel` was created.
`GetMLModelResult` `withCreatedByIamUser(String createdByIamUser)` The AWS user account from which the `MLModel` was created.
`GetMLModelResult` `withEndpointInfo(RealtimeEndpointInfo endpointInfo)` The current endpoint of the `MLModel`
`GetMLModelResult` `withFinishedAt(Date finishedAt)` The epoch time when Amazon Machine Learning marked the `MLModel` as `COMPLETED` or `FAILED`.
`GetMLModelResult` `withInputDataLocationS3(String inputDataLocationS3)` The location of the data file or directory in Amazon Simple Storage Service (Amazon S3).
`GetMLModelResult` `withLastUpdatedAt(Date lastUpdatedAt)` The time of the most recent edit to the `MLModel`.
`GetMLModelResult` `withLogUri(String logUri)` A link to the file that contains logs of the `CreateMLModel` operation.
`GetMLModelResult` `withMessage(String message)` A description of the most recent details about accessing the `MLModel`.
`GetMLModelResult` `withMLModelId(String mLModelId)` The MLModel ID, which is same as the `MLModelId` in the request.
`GetMLModelResult` `withMLModelType(MLModelType mLModelType)` Identifies the `MLModel` category.
`GetMLModelResult` `withMLModelType(String mLModelType)` Identifies the `MLModel` category.
`GetMLModelResult` `withName(String name)` A user-supplied name or description of the `MLModel`.
`GetMLModelResult` `withRecipe(String recipe)` The recipe to use when training the `MLModel`.
`GetMLModelResult` `withSchema(String schema)` The schema used by all of the data files referenced by the `DataSource`.
`GetMLModelResult` `withScoreThreshold(Float scoreThreshold)` The scoring threshold is used in binary classification `MLModel` models.
`GetMLModelResult` `withScoreThresholdLastUpdatedAt(Date scoreThresholdLastUpdatedAt)` The time of the most recent edit to the `ScoreThreshold`.
`GetMLModelResult` `withSizeInBytes(Long sizeInBytes)`
`GetMLModelResult` `withStartedAt(Date startedAt)` The epoch time when Amazon Machine Learning marked the `MLModel` as `INPROGRESS`.
`GetMLModelResult` `withStatus(EntityStatus status)` The current status of the `MLModel`.
`GetMLModelResult` `withStatus(String status)` The current status of the `MLModel`.
`GetMLModelResult` `withTrainingDataSourceId(String trainingDataSourceId)` The ID of the training `DataSource`.
`GetMLModelResult` `withTrainingParameters(Map<String,String> trainingParameters)` A list of the training parameters in the `MLModel`.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GetMLModelResult

    public GetMLModelResult()

### Method Detail

#### setMLModelId

    public void setMLModelId(String mLModelId)

The MLModel ID, which is same as the `MLModelId` in the request.

Parameters:
  `mLModelId` - The MLModel ID, which is same as the `MLModelId` in the request.

#### getMLModelId

    public String getMLModelId()

The MLModel ID, which is same as the `MLModelId` in the request.

Returns:
  The MLModel ID, which is same as the `MLModelId` in the request.

#### withMLModelId

    public GetMLModelResult withMLModelId(String mLModelId)

The MLModel ID, which is same as the `MLModelId` in the request.

Parameters:
  `mLModelId` - The MLModel ID, which is same as the `MLModelId` in the request.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setTrainingDataSourceId

    public void setTrainingDataSourceId(String trainingDataSourceId)

The ID of the training `DataSource`.

Parameters:
  `trainingDataSourceId` - The ID of the training `DataSource`.

#### getTrainingDataSourceId

    public String getTrainingDataSourceId()

The ID of the training `DataSource`.

Returns:
  The ID of the training `DataSource`.

#### withTrainingDataSourceId

    public GetMLModelResult withTrainingDataSourceId(String trainingDataSourceId)

The ID of the training `DataSource`.

Parameters:
  `trainingDataSourceId` - The ID of the training `DataSource`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCreatedByIamUser

    public void setCreatedByIamUser(String createdByIamUser)

The AWS user account from which the `MLModel` was created. The account type can be either an AWS root account or an AWS Identity and Access Management (IAM) user account.

Parameters:
  `createdByIamUser` - The AWS user account from which the `MLModel` was created. The account type can be either an AWS root account or an AWS Identity and Access Management (IAM) user account.

#### getCreatedByIamUser

    public String getCreatedByIamUser()

The AWS user account from which the `MLModel` was created. The account type can be either an AWS root account or an AWS Identity and Access Management (IAM) user account.

Returns:
  The AWS user account from which the `MLModel` was created. The account type can be either an AWS root account or an AWS Identity and Access Management (IAM) user account.

#### withCreatedByIamUser

    public GetMLModelResult withCreatedByIamUser(String createdByIamUser)

The AWS user account from which the `MLModel` was created. The account type can be either an AWS root account or an AWS Identity and Access Management (IAM) user account.

Parameters:
  `createdByIamUser` - The AWS user account from which the `MLModel` was created. The account type can be either an AWS root account or an AWS Identity and Access Management (IAM) user account.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCreatedAt

    public void setCreatedAt(Date createdAt)

The time that the `MLModel` was created. The time is expressed in epoch time.

Parameters:
  `createdAt` - The time that the `MLModel` was created. The time is expressed in epoch time.

#### getCreatedAt

    public Date getCreatedAt()

The time that the `MLModel` was created. The time is expressed in epoch time.

Returns:
  The time that the `MLModel` was created. The time is expressed in epoch time.

#### withCreatedAt

    public GetMLModelResult withCreatedAt(Date createdAt)

The time that the `MLModel` was created. The time is expressed in epoch time.

Parameters:
  `createdAt` - The time that the `MLModel` was created. The time is expressed in epoch time.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setLastUpdatedAt

    public void setLastUpdatedAt(Date lastUpdatedAt)

The time of the most recent edit to the `MLModel`. The time is expressed in epoch time.

Parameters:
  `lastUpdatedAt` - The time of the most recent edit to the `MLModel`. The time is expressed in epoch time.

#### getLastUpdatedAt

    public Date getLastUpdatedAt()

The time of the most recent edit to the `MLModel`. The time is expressed in epoch time.

Returns:
  The time of the most recent edit to the `MLModel`. The time is expressed in epoch time.

#### withLastUpdatedAt

    public GetMLModelResult withLastUpdatedAt(Date lastUpdatedAt)

The time of the most recent edit to the `MLModel`. The time is expressed in epoch time.

Parameters:
  `lastUpdatedAt` - The time of the most recent edit to the `MLModel`. The time is expressed in epoch time.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setName

    public void setName(String name)

A user-supplied name or description of the `MLModel`.

Parameters:
  `name` - A user-supplied name or description of the `MLModel`.

#### getName

    public String getName()

A user-supplied name or description of the `MLModel`.

Returns:
  A user-supplied name or description of the `MLModel`.

#### withName

    public GetMLModelResult withName(String name)

A user-supplied name or description of the `MLModel`.

Parameters:
  `name` - A user-supplied name or description of the `MLModel`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStatus

    public void setStatus(String status)

The current status of the `MLModel`. This element can have one of the following values:

- `PENDING` - Amazon Machine Learning (Amazon ML) submitted a request to describe a `MLModel`.
- `INPROGRESS` - The request is processing.
- `FAILED` - The request did not run to completion. The ML model isn't usable.
- `COMPLETED` - The request completed successfully.
- `DELETED` - The `MLModel` is marked as deleted. It isn't usable.

Parameters:
  `status` - The current status of the `MLModel`. This element can have one of the following values:
  - `PENDING` - Amazon Machine Learning (Amazon ML) submitted a request to describe a `MLModel`.
  - `INPROGRESS` - The request is processing.
  - `FAILED` - The request did not run to completion. The ML model isn't usable.
  - `COMPLETED` - The request completed successfully.
  - `DELETED` - The `MLModel` is marked as deleted. It isn't usable.
See Also:
  `EntityStatus`

#### getStatus

    public String getStatus()

The current status of the `MLModel`. This element can have one of the following values:

- `PENDING` - Amazon Machine Learning (Amazon ML) submitted a request to describe a `MLModel`.
- `INPROGRESS` - The request is processing.
- `FAILED` - The request did not run to completion. The ML model isn't usable.
- `COMPLETED` - The request completed successfully.
- `DELETED` - The `MLModel` is marked as deleted. It isn't usable.

Returns:
  The current status of the `MLModel`. This element can have one of the following values:
  - `PENDING` - Amazon Machine Learning (Amazon ML) submitted a request to describe a `MLModel`.
  - `INPROGRESS` - The request is processing.
  - `FAILED` - The request did not run to completion. The ML model isn't usable.
  - `COMPLETED` - The request completed successfully.
  - `DELETED` - The `MLModel` is marked as deleted. It isn't usable.
See Also:
  `EntityStatus`

#### withStatus

    public GetMLModelResult withStatus(String status)

The current status of the `MLModel`. This element can have one of the following values:

- `PENDING` - Amazon Machine Learning (Amazon ML) submitted a request to describe a `MLModel`.
- `INPROGRESS` - The request is processing.
- `FAILED` - The request did not run to completion. The ML model isn't usable.
- `COMPLETED` - The request completed successfully.
- `DELETED` - The `MLModel` is marked as deleted. It isn't usable.

Parameters:
  `status` - The current status of the `MLModel`. This element can have one of the following values:
  - `PENDING` - Amazon Machine Learning (Amazon ML) submitted a request to describe a `MLModel`.
  - `INPROGRESS` - The request is processing.
  - `FAILED` - The request did not run to completion. The ML model isn't usable.
  - `COMPLETED` - The request completed successfully.
  - `DELETED` - The `MLModel` is marked as deleted. It isn't usable.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `EntityStatus`

#### setStatus

    public void setStatus(EntityStatus status)

The current status of the `MLModel`. This element can have one of the following values:

- `PENDING` - Amazon Machine Learning (Amazon ML) submitted a request to describe a `MLModel`.
- `INPROGRESS` - The request is processing.
- `FAILED` - The request did not run to completion. The ML model isn't usable.
- `COMPLETED` - The request completed successfully.
- `DELETED` - The `MLModel` is marked as deleted. It isn't usable.

Parameters:
  `status` - The current status of the `MLModel`. This element can have one of the following values:
  - `PENDING` - Amazon Machine Learning (Amazon ML) submitted a request to describe a `MLModel`.
  - `INPROGRESS` - The request is processing.
  - `FAILED` - The request did not run to completion. The ML model isn't usable.
  - `COMPLETED` - The request completed successfully.
  - `DELETED` - The `MLModel` is marked as deleted. It isn't usable.
See Also:
  `EntityStatus`

#### withStatus

    public GetMLModelResult withStatus(EntityStatus status)

The current status of the `MLModel`. This element can have one of the following values:

- `PENDING` - Amazon Machine Learning (Amazon ML) submitted a request to describe a `MLModel`.
- `INPROGRESS` - The request is processing.
- `FAILED` - The request did not run to completion. The ML model isn't usable.
- `COMPLETED` - The request completed successfully.
- `DELETED` - The `MLModel` is marked as deleted. It isn't usable.

Parameters:
  `status` - The current status of the `MLModel`. This element can have one of the following values:
  - `PENDING` - Amazon Machine Learning (Amazon ML) submitted a request to describe a `MLModel`.
  - `INPROGRESS` - The request is processing.
  - `FAILED` - The request did not run to completion. The ML model isn't usable.
  - `COMPLETED` - The request completed successfully.
  - `DELETED` - The `MLModel` is marked as deleted. It isn't usable.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `EntityStatus`

#### setSizeInBytes

    public void setSizeInBytes(Long sizeInBytes)

Parameters:
  `sizeInBytes` -

#### getSizeInBytes

    public Long getSizeInBytes()

Returns:

#### withSizeInBytes

    public GetMLModelResult withSizeInBytes(Long sizeInBytes)

Parameters:
  `sizeInBytes` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setEndpointInfo

    public void setEndpointInfo(RealtimeEndpointInfo endpointInfo)

The current endpoint of the `MLModel`

Parameters:
  `endpointInfo` - The current endpoint of the `MLModel`

#### getEndpointInfo

    public RealtimeEndpointInfo getEndpointInfo()

The current endpoint of the `MLModel`

Returns:
  The current endpoint of the `MLModel`

#### withEndpointInfo

    public GetMLModelResult withEndpointInfo(RealtimeEndpointInfo endpointInfo)

The current endpoint of the `MLModel`

Parameters:
  `endpointInfo` - The current endpoint of the `MLModel`
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getTrainingParameters

    public Map<String,String> getTrainingParameters()

A list of the training parameters in the `MLModel`. The list is implemented as a map of key-value pairs.

The following is the current set of training parameters:

- `sgd.maxMLModelSizeInBytes` - The maximum allowed size of the model. Depending on the input data, the size of the model might affect its performance.

  The value is an integer that ranges from `100000` to `2147483648`. The default value is `33554432`.

- `sgd.maxPasses` - The number of times that the training process traverses the observations to build the `MLModel`. The value is an integer that ranges from `1` to `10000`. The default value is `10`.

- `sgd.shuffleType` - Whether Amazon ML shuffles the training data. Shuffling data improves a model's ability to find the optimal solution for a variety of data types. The valid values are `auto` and `none`. The default value is `none`. We strongly recommend that you shuffle your data.

- `sgd.l1RegularizationAmount` - The coefficient regularization L1 norm. It controls overfitting the data by penalizing large coefficients. This tends to drive coefficients to zero, resulting in a sparse feature set. If you use this parameter, start by specifying a small value, such as `1.0E-08`.

  The value is a double that ranges from `0` to `MAX_DOUBLE`. The default is to not use L1 normalization. This parameter can't be used when `L2` is specified. Use this parameter sparingly.

- `sgd.l2RegularizationAmount` - The coefficient regularization L2 norm. It controls overfitting the data by penalizing large coefficients. This tends to drive coefficients to small, nonzero values. If you use this parameter, start by specifying a small value, such as `1.0E-08`.

  The value is a double that ranges from `0` to `MAX_DOUBLE`. The default is to not use L2 normalization. This parameter can't be used when `L1` is specified. Use this parameter sparingly.

Returns:
  A list of the training parameters in the `MLModel`. The list is implemented as a map of key-value pairs.

  The following is the current set of training parameters:

  - `sgd.maxMLModelSizeInBytes` - The maximum allowed size of the model. Depending on the input data, the size of the model might affect its performance.

    The value is an integer that ranges from `100000` to `2147483648`. The default value is `33554432`.

  - `sgd.maxPasses` - The number of times that the training process traverses the observations to build the `MLModel`. The value is an integer that ranges from `1` to `10000`. The default value is `10`.

  - `sgd.shuffleType` - Whether Amazon ML shuffles the training data. Shuffling data improves a model's ability to find the optimal solution for a variety of data types. The valid values are `auto` and `none`. The default value is `none`. We strongly recommend that you shuffle your data.

  - `sgd.l1RegularizationAmount` - The coefficient regularization L1 norm. It controls overfitting the data by penalizing large coefficients. This tends to drive coefficients to zero, resulting in a sparse feature set. If you use this parameter, start by specifying a small value, such as `1.0E-08`.

    The value is a double that ranges from `0` to `MAX_DOUBLE`. The default is to not use L1 normalization. This parameter can't be used when `L2` is specified. Use this parameter sparingly.

  - `sgd.l2RegularizationAmount` - The coefficient regularization L2 norm. It controls overfitting the data by penalizing large coefficients. This tends to drive coefficients to small, nonzero values. If you use this parameter, start by specifying a small value, such as `1.0E-08`.

    The value is a double that ranges from `0` to `MAX_DOUBLE`. The default is to not use L2 normalization. This parameter can't be used when `L1` is specified. Use this parameter sparingly.

#### setTrainingParameters

    public void setTrainingParameters(Map<String,String> trainingParameters)

A list of the training parameters in the `MLModel`. The list is implemented as a map of key-value pairs.

The following is the current set of training parameters:

- `sgd.maxMLModelSizeInBytes` - The maximum allowed size of the model. Depending on the input data, the size of the model might affect its performance.

  The value is an integer that ranges from `100000` to `2147483648`. The default value is `33554432`.

- `sgd.maxPasses` - The number of times that the training process traverses the observations to build the `MLModel`. The value is an integer that ranges from `1` to `10000`. The default value is `10`.

- `sgd.shuffleType` - Whether Amazon ML shuffles the training data. Shuffling data improves a model's ability to find the optimal solution for a variety of data types. The valid values are `auto` and `none`. The default value is `none`. We strongly recommend that you shuffle your data.

- `sgd.l1RegularizationAmount` - The coefficient regularization L1 norm. It controls overfitting the data by penalizing large coefficients. This tends to drive coefficients to zero, resulting in a sparse feature set. If you use this parameter, start by specifying a small value, such as `1.0E-08`.

  The value is a double that ranges from `0` to `MAX_DOUBLE`. The default is to not use L1 normalization. This parameter can't be used when `L2` is specified. Use this parameter sparingly.

- `sgd.l2RegularizationAmount` - The coefficient regularization L2 norm. It controls overfitting the data by penalizing large coefficients. This tends to drive coefficients to small, nonzero values. If you use this parameter, start by specifying a small value, such as `1.0E-08`.

  The value is a double that ranges from `0` to `MAX_DOUBLE`. The default is to not use L2 normalization. This parameter can't be used when `L1` is specified. Use this parameter sparingly.

Parameters:
  `trainingParameters` - A list of the training parameters in the `MLModel`. The list is implemented as a map of key-value pairs.

  The following is the current set of training parameters:

  - `sgd.maxMLModelSizeInBytes` - The maximum allowed size of the model. Depending on the input data, the size of the model might affect its performance.

    The value is an integer that ranges from `100000` to `2147483648`. The default value is `33554432`.

  - `sgd.maxPasses` - The number of times that the training process traverses the observations to build the `MLModel`. The value is an integer that ranges from `1` to `10000`. The default value is `10`.

  - `sgd.shuffleType` - Whether Amazon ML shuffles the training data. Shuffling data improves a model's ability to find the optimal solution for a variety of data types. The valid values are `auto` and `none`. The default value is `none`. We strongly recommend that you shuffle your data.

  - `sgd.l1RegularizationAmount` - The coefficient regularization L1 norm. It controls overfitting the data by penalizing large coefficients. This tends to drive coefficients to zero, resulting in a sparse feature set. If you use this parameter, start by specifying a small value, such as `1.0E-08`.

    The value is a double that ranges from `0` to `MAX_DOUBLE`. The default is to not use L1 normalization. This parameter can't be used when `L2` is specified. Use this parameter sparingly.

  - `sgd.l2RegularizationAmount` - The coefficient regularization L2 norm. It controls overfitting the data by penalizing large coefficients. This tends to drive coefficients to small, nonzero values. If you use this parameter, start by specifying a small value, such as `1.0E-08`.

    The value is a double that ranges from `0` to `MAX_DOUBLE`. The default is to not use L2 normalization. This parameter can't be used when `L1` is specified. Use this parameter sparingly.

#### withTrainingParameters

    public GetMLModelResult withTrainingParameters(Map<String,String> trainingParameters)

A list of the training parameters in the `MLModel`. The list is implemented as a map of key-value pairs.

The following is the current set of training parameters:

- `sgd.maxMLModelSizeInBytes` - The maximum allowed size of the model. Depending on the input data, the size of the model might affect its performance.

  The value is an integer that ranges from `100000` to `2147483648`. The default value is `33554432`.

- `sgd.maxPasses` - The number of times that the training process traverses the observations to build the `MLModel`. The value is an integer that ranges from `1` to `10000`. The default value is `10`.

- `sgd.shuffleType` - Whether Amazon ML shuffles the training data. Shuffling data improves a model's ability to find the optimal solution for a variety of data types. The valid values are `auto` and `none`. The default value is `none`. We strongly recommend that you shuffle your data.

- `sgd.l1RegularizationAmount` - The coefficient regularization L1 norm. It controls overfitting the data by penalizing large coefficients. This tends to drive coefficients to zero, resulting in a sparse feature set. If you use this parameter, start by specifying a small value, such as `1.0E-08`.

  The value is a double that ranges from `0` to `MAX_DOUBLE`. The default is to not use L1 normalization. This parameter can't be used when `L2` is specified. Use this parameter sparingly.

- `sgd.l2RegularizationAmount` - The coefficient regularization L2 norm. It controls overfitting the data by penalizing large coefficients. This tends to drive coefficients to small, nonzero values. If you use this parameter, start by specifying a small value, such as `1.0E-08`.

  The value is a double that ranges from `0` to `MAX_DOUBLE`. The default is to not use L2 normalization. This parameter can't be used when `L1` is specified. Use this parameter sparingly.

Parameters:
  `trainingParameters` - A list of the training parameters in the `MLModel`. The list is implemented as a map of key-value pairs.

  The following is the current set of training parameters:

  - `sgd.maxMLModelSizeInBytes` - The maximum allowed size of the model. Depending on the input data, the size of the model might affect its performance.

    The value is an integer that ranges from `100000` to `2147483648`. The default value is `33554432`.

  - `sgd.maxPasses` - The number of times that the training process traverses the observations to build the `MLModel`. The value is an integer that ranges from `1` to `10000`. The default value is `10`.

  - `sgd.shuffleType` - Whether Amazon ML shuffles the training data. Shuffling data improves a model's ability to find the optimal solution for a variety of data types. The valid values are `auto` and `none`. The default value is `none`. We strongly recommend that you shuffle your data.

  - `sgd.l1RegularizationAmount` - The coefficient regularization L1 norm. It controls overfitting the data by penalizing large coefficients. This tends to drive coefficients to zero, resulting in a sparse feature set. If you use this parameter, start by specifying a small value, such as `1.0E-08`.

    The value is a double that ranges from `0` to `MAX_DOUBLE`. The default is to not use L1 normalization. This parameter can't be used when `L2` is specified. Use this parameter sparingly.

  - `sgd.l2RegularizationAmount` - The coefficient regularization L2 norm. It controls overfitting the data by penalizing large coefficients. This tends to drive coefficients to small, nonzero values. If you use this parameter, start by specifying a small value, such as `1.0E-08`.

    The value is a double that ranges from `0` to `MAX_DOUBLE`. The default is to not use L2 normalization. This parameter can't be used when `L1` is specified. Use this parameter sparingly.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### addTrainingParametersEntry

    public GetMLModelResult addTrainingParametersEntry(String key,
                                                       String value)

#### clearTrainingParametersEntries

    public GetMLModelResult clearTrainingParametersEntries()

Removes all the entries added into TrainingParameters.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setInputDataLocationS3

    public void setInputDataLocationS3(String inputDataLocationS3)

The location of the data file or directory in Amazon Simple Storage Service (Amazon S3).

Parameters:
  `inputDataLocationS3` - The location of the data file or directory in Amazon Simple Storage Service (Amazon S3).

#### getInputDataLocationS3

    public String getInputDataLocationS3()

The location of the data file or directory in Amazon Simple Storage Service (Amazon S3).

Returns:
  The location of the data file or directory in Amazon Simple Storage Service (Amazon S3).

#### withInputDataLocationS3

    public GetMLModelResult withInputDataLocationS3(String inputDataLocationS3)

The location of the data file or directory in Amazon Simple Storage Service (Amazon S3).

Parameters:
  `inputDataLocationS3` - The location of the data file or directory in Amazon Simple Storage Service (Amazon S3).
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setMLModelType

    public void setMLModelType(String mLModelType)

Identifies the `MLModel` category. The following are the available types:

- REGRESSION -- Produces a numeric result. For example, "What price should a house be listed at?"
- BINARY -- Produces one of two possible results. For example, "Is this an e-commerce website?"
- MULTICLASS -- Produces one of several possible results. For example, "Is this a HIGH, LOW or MEDIUM risk trade?"

Parameters:
  `mLModelType` - Identifies the `MLModel` category. The following are the available types:
  - REGRESSION -- Produces a numeric result. For example, "What price should a house be listed at?"
  - BINARY -- Produces one of two possible results. For example, "Is this an e-commerce website?"
  - MULTICLASS -- Produces one of several possible results. For example, "Is this a HIGH, LOW or MEDIUM risk trade?"
See Also:
  `MLModelType`

#### getMLModelType

    public String getMLModelType()

Identifies the `MLModel` category. The following are the available types:

- REGRESSION -- Produces a numeric result. For example, "What price should a house be listed at?"
- BINARY -- Produces one of two possible results. For example, "Is this an e-commerce website?"
- MULTICLASS -- Produces one of several possible results. For example, "Is this a HIGH, LOW or MEDIUM risk trade?"

Returns:
  Identifies the `MLModel` category. The following are the available types:
  - REGRESSION -- Produces a numeric result. For example, "What price should a house be listed at?"
  - BINARY -- Produces one of two possible results. For example, "Is this an e-commerce website?"
  - MULTICLASS -- Produces one of several possible results. For example, "Is this a HIGH, LOW or MEDIUM risk trade?"
See Also:
  `MLModelType`

#### withMLModelType

    public GetMLModelResult withMLModelType(String mLModelType)

Identifies the `MLModel` category. The following are the available types:

- REGRESSION -- Produces a numeric result. For example, "What price should a house be listed at?"
- BINARY -- Produces one of two possible results. For example, "Is this an e-commerce website?"
- MULTICLASS -- Produces one of several possible results. For example, "Is this a HIGH, LOW or MEDIUM risk trade?"

Parameters:
  `mLModelType` - Identifies the `MLModel` category. The following are the available types:
  - REGRESSION -- Produces a numeric result. For example, "What price should a house be listed at?"
  - BINARY -- Produces one of two possible results. For example, "Is this an e-commerce website?"
  - MULTICLASS -- Produces one of several possible results. For example, "Is this a HIGH, LOW or MEDIUM risk trade?"
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `MLModelType`

#### setMLModelType

    public void setMLModelType(MLModelType mLModelType)

Identifies the `MLModel` category. The following are the available types:

- REGRESSION -- Produces a numeric result. For example, "What price should a house be listed at?"
- BINARY -- Produces one of two possible results. For example, "Is this an e-commerce website?"
- MULTICLASS -- Produces one of several possible results. For example, "Is this a HIGH, LOW or MEDIUM risk trade?"

Parameters:
  `mLModelType` - Identifies the `MLModel` category. The following are the available types:
  - REGRESSION -- Produces a numeric result. For example, "What price should a house be listed at?"
  - BINARY -- Produces one of two possible results. For example, "Is this an e-commerce website?"
  - MULTICLASS -- Produces one of several possible results. For example, "Is this a HIGH, LOW or MEDIUM risk trade?"
See Also:
  `MLModelType`

#### withMLModelType

    public GetMLModelResult withMLModelType(MLModelType mLModelType)

Identifies the `MLModel` category. The following are the available types:

- REGRESSION -- Produces a numeric result. For example, "What price should a house be listed at?"
- BINARY -- Produces one of two possible results. For example, "Is this an e-commerce website?"
- MULTICLASS -- Produces one of several possible results. For example, "Is this a HIGH, LOW or MEDIUM risk trade?"

Parameters:
  `mLModelType` - Identifies the `MLModel` category. The following are the available types:
  - REGRESSION -- Produces a numeric result. For example, "What price should a house be listed at?"
  - BINARY -- Produces one of two possible results. For example, "Is this an e-commerce website?"
  - MULTICLASS -- Produces one of several possible results. For example, "Is this a HIGH, LOW or MEDIUM risk trade?"
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `MLModelType`

#### setScoreThreshold

    public void setScoreThreshold(Float scoreThreshold)

The scoring threshold is used in binary classification `MLModel` models. It marks the boundary between a positive prediction and a negative prediction.

Output values greater than or equal to the threshold receive a positive result from the MLModel, such as `true`. Output values less than the threshold receive a negative response from the MLModel, such as `false`.

Parameters:
  `scoreThreshold` - The scoring threshold is used in binary classification `MLModel` models. It marks the boundary between a positive prediction and a negative prediction.

  Output values greater than or equal to the threshold receive a positive result from the MLModel, such as `true`. Output values less than the threshold receive a negative response from the MLModel, such as `false`.

#### getScoreThreshold

    public Float getScoreThreshold()

The scoring threshold is used in binary classification `MLModel` models. It marks the boundary between a positive prediction and a negative prediction.

Output values greater than or equal to the threshold receive a positive result from the MLModel, such as `true`. Output values less than the threshold receive a negative response from the MLModel, such as `false`.

Returns:
  The scoring threshold is used in binary classification `MLModel` models. It marks the boundary between a positive prediction and a negative prediction.

  Output values greater than or equal to the threshold receive a positive result from the MLModel, such as `true`. Output values less than the threshold receive a negative response from the MLModel, such as `false`.

#### withScoreThreshold

    public GetMLModelResult withScoreThreshold(Float scoreThreshold)

The scoring threshold is used in binary classification `MLModel` models. It marks the boundary between a positive prediction and a negative prediction.

Output values greater than or equal to the threshold receive a positive result from the MLModel, such as `true`. Output values less than the threshold receive a negative response from the MLModel, such as `false`.

Parameters:
  `scoreThreshold` - The scoring threshold is used in binary classification `MLModel` models. It marks the boundary between a positive prediction and a negative prediction.

  Output values greater than or equal to the threshold receive a positive result from the MLModel, such as `true`. Output values less than the threshold receive a negative response from the MLModel, such as `false`.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setScoreThresholdLastUpdatedAt

    public void setScoreThresholdLastUpdatedAt(Date scoreThresholdLastUpdatedAt)

The time of the most recent edit to the `ScoreThreshold`. The time is expressed in epoch time.

Parameters:
  `scoreThresholdLastUpdatedAt` - The time of the most recent edit to the `ScoreThreshold`. The time is expressed in epoch time.

#### getScoreThresholdLastUpdatedAt

    public Date getScoreThresholdLastUpdatedAt()

The time of the most recent edit to the `ScoreThreshold`. The time is expressed in epoch time.

Returns:
  The time of the most recent edit to the `ScoreThreshold`. The time is expressed in epoch time.

#### withScoreThresholdLastUpdatedAt

    public GetMLModelResult withScoreThresholdLastUpdatedAt(Date scoreThresholdLastUpdatedAt)

The time of the most recent edit to the `ScoreThreshold`. The time is expressed in epoch time.

Parameters:
  `scoreThresholdLastUpdatedAt` - The time of the most recent edit to the `ScoreThreshold`. The time is expressed in epoch time.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setLogUri

    public void setLogUri(String logUri)

A link to the file that contains logs of the `CreateMLModel` operation.

Parameters:
  `logUri` - A link to the file that contains logs of the `CreateMLModel` operation.

#### getLogUri

    public String getLogUri()

A link to the file that contains logs of the `CreateMLModel` operation.

Returns:
  A link to the file that contains logs of the `CreateMLModel` operation.

#### withLogUri

    public GetMLModelResult withLogUri(String logUri)

A link to the file that contains logs of the `CreateMLModel` operation.

Parameters:
  `logUri` - A link to the file that contains logs of the `CreateMLModel` operation.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setMessage

    public void setMessage(String message)

A description of the most recent details about accessing the `MLModel`.

Parameters:
  `message` - A description of the most recent details about accessing the `MLModel`.

#### getMessage

    public String getMessage()

A description of the most recent details about accessing the `MLModel`.

Returns:
  A description of the most recent details about accessing the `MLModel`.

#### withMessage

    public GetMLModelResult withMessage(String message)

A description of the most recent details about accessing the `MLModel`.

Parameters:
  `message` - A description of the most recent details about accessing the `MLModel`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setComputeTime

    public void setComputeTime(Long computeTime)

The approximate CPU time in milliseconds that Amazon Machine Learning spent processing the `MLModel`, normalized and scaled on computation resources. `ComputeTime` is only available if the `MLModel` is in the `COMPLETED` state.

Parameters:
  `computeTime` - The approximate CPU time in milliseconds that Amazon Machine Learning spent processing the `MLModel`, normalized and scaled on computation resources. `ComputeTime` is only available if the `MLModel` is in the `COMPLETED` state.

#### getComputeTime

    public Long getComputeTime()

The approximate CPU time in milliseconds that Amazon Machine Learning spent processing the `MLModel`, normalized and scaled on computation resources. `ComputeTime` is only available if the `MLModel` is in the `COMPLETED` state.

Returns:
  The approximate CPU time in milliseconds that Amazon Machine Learning spent processing the `MLModel`, normalized and scaled on computation resources. `ComputeTime` is only available if the `MLModel` is in the `COMPLETED` state.

#### withComputeTime

    public GetMLModelResult withComputeTime(Long computeTime)

The approximate CPU time in milliseconds that Amazon Machine Learning spent processing the `MLModel`, normalized and scaled on computation resources. `ComputeTime` is only available if the `MLModel` is in the `COMPLETED` state.

Parameters:
  `computeTime` - The approximate CPU time in milliseconds that Amazon Machine Learning spent processing the `MLModel`, normalized and scaled on computation resources. `ComputeTime` is only available if the `MLModel` is in the `COMPLETED` state.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setFinishedAt

    public void setFinishedAt(Date finishedAt)

The epoch time when Amazon Machine Learning marked the `MLModel` as `COMPLETED` or `FAILED`. `FinishedAt` is only available when the `MLModel` is in the `COMPLETED` or `FAILED` state.

Parameters:
  `finishedAt` - The epoch time when Amazon Machine Learning marked the `MLModel` as `COMPLETED` or `FAILED`. `FinishedAt` is only available when the `MLModel` is in the `COMPLETED` or `FAILED` state.

#### getFinishedAt

    public Date getFinishedAt()

The epoch time when Amazon Machine Learning marked the `MLModel` as `COMPLETED` or `FAILED`. `FinishedAt` is only available when the `MLModel` is in the `COMPLETED` or `FAILED` state.

Returns:
  The epoch time when Amazon Machine Learning marked the `MLModel` as `COMPLETED` or `FAILED`. `FinishedAt` is only available when the `MLModel` is in the `COMPLETED` or `FAILED` state.

#### withFinishedAt

    public GetMLModelResult withFinishedAt(Date finishedAt)

The epoch time when Amazon Machine Learning marked the `MLModel` as `COMPLETED` or `FAILED`. `FinishedAt` is only available when the `MLModel` is in the `COMPLETED` or `FAILED` state.

Parameters:
  `finishedAt` - The epoch time when Amazon Machine Learning marked the `MLModel` as `COMPLETED` or `FAILED`. `FinishedAt` is only available when the `MLModel` is in the `COMPLETED` or `FAILED` state.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStartedAt

    public void setStartedAt(Date startedAt)

The epoch time when Amazon Machine Learning marked the `MLModel` as `INPROGRESS`. `StartedAt` isn't available if the `MLModel` is in the `PENDING` state.

Parameters:
  `startedAt` - The epoch time when Amazon Machine Learning marked the `MLModel` as `INPROGRESS`. `StartedAt` isn't available if the `MLModel` is in the `PENDING` state.

#### getStartedAt

    public Date getStartedAt()

The epoch time when Amazon Machine Learning marked the `MLModel` as `INPROGRESS`. `StartedAt` isn't available if the `MLModel` is in the `PENDING` state.

Returns:
  The epoch time when Amazon Machine Learning marked the `MLModel` as `INPROGRESS`. `StartedAt` isn't available if the `MLModel` is in the `PENDING` state.

#### withStartedAt

    public GetMLModelResult withStartedAt(Date startedAt)

The epoch time when Amazon Machine Learning marked the `MLModel` as `INPROGRESS`. `StartedAt` isn't available if the `MLModel` is in the `PENDING` state.

Parameters:
  `startedAt` - The epoch time when Amazon Machine Learning marked the `MLModel` as `INPROGRESS`. `StartedAt` isn't available if the `MLModel` is in the `PENDING` state.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setRecipe

    public void setRecipe(String recipe)

The recipe to use when training the `MLModel`. The `Recipe` provides detailed information about the observation data to use during training, and manipulations to perform on the observation data during training.

<note>Note

This parameter is provided as part of the verbose format.

</note>

Parameters:
  `recipe` - The recipe to use when training the `MLModel`. The `Recipe` provides detailed information about the observation data to use during training, and manipulations to perform on the observation data during training. <note>Note

  This parameter is provided as part of the verbose format.

#### getRecipe

    public String getRecipe()

The recipe to use when training the `MLModel`. The `Recipe` provides detailed information about the observation data to use during training, and manipulations to perform on the observation data during training.

<note>Note

This parameter is provided as part of the verbose format.

</note>

Returns:
  The recipe to use when training the `MLModel`. The `Recipe` provides detailed information about the observation data to use during training, and manipulations to perform on the observation data during training. <note>Note

  This parameter is provided as part of the verbose format.

#### withRecipe

    public GetMLModelResult withRecipe(String recipe)

The recipe to use when training the `MLModel`. The `Recipe` provides detailed information about the observation data to use during training, and manipulations to perform on the observation data during training.

<note>Note

This parameter is provided as part of the verbose format.

</note>

Parameters:
  `recipe` - The recipe to use when training the `MLModel`. The `Recipe` provides detailed information about the observation data to use during training, and manipulations to perform on the observation data during training. <note>Note

  This parameter is provided as part of the verbose format.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setSchema

    public void setSchema(String schema)

The schema used by all of the data files referenced by the `DataSource`.

<note>Note

This parameter is provided as part of the verbose format.

</note>

Parameters:
  `schema` - The schema used by all of the data files referenced by the `DataSource`. <note>Note

  This parameter is provided as part of the verbose format.

#### getSchema

    public String getSchema()

The schema used by all of the data files referenced by the `DataSource`.

<note>Note

This parameter is provided as part of the verbose format.

</note>

Returns:
  The schema used by all of the data files referenced by the `DataSource`. <note>Note

  This parameter is provided as part of the verbose format.

#### withSchema

    public GetMLModelResult withSchema(String schema)

The schema used by all of the data files referenced by the `DataSource`.

<note>Note

This parameter is provided as part of the verbose format.

</note>

Parameters:
  `schema` - The schema used by all of the data files referenced by the `DataSource`. <note>Note

  This parameter is provided as part of the verbose format.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public GetMLModelResult clone()

Overrides:
  `clone` in class `Object`